nz-modal([nzVisible]="visible", nzTitle="Assign user to project", [nzFooter]="modalFooter",  (nzOnCancel)="handleCancel()")
  nz-table(#userTable, [nzData]="users")
    thead
      tr
        th Username
        th(nzWidth="40px") Actions
    tbody
      tr(*ngFor="let item of userTable.data")
        td
          span {{ item.username }}
        td
          ryax-action-button.ml1(*ngIf="!userIsAssigned(item.id)", size="small", shape="circle", icon="plus-circle", tooltipText="Add user to project", (click)="addUserToProject(item.id)")
          ryax-action-button.ml1(*ngIf="userIsAssigned(item.id)", [disabled]="true", size="small", shape="circle", icon="check-circle", iconColor="#52c41a")

  ng-template(#modalFooter)
    button(nz-button, nzType="default", (click)="handleCancel()") Close

